Apple/Apps IOS

Desenvolvedores poderão tornar apps indisponíveis para modelos antigos com iOS 9

Os donos de aparelhos mais antigos da Apple sempre ficaram satisfeitos em atualizar o iOS sem se preocupar muito com compatibilidade dos aplicativos. Com o iOS 9, todos ainda poderão atualizar o sistema operacional, mas com alguns efeitos colaterais.

Este ano, mesmo os dispositivos com mais aniversários nas carcaças, a partir do iPhone 4S, iPad 2 e mesmo o iPod touch de quinta geração, receberão o novo sistema operacional, com todas as suas vantagens para usuários e desenvolvedores, como novos gestos para o cursor do teclado no iOS 9 e adblocks. No entanto, a diferença agora é que pela primeira vez os usuários dos aparelhos antigos poderão descobrir que alguns dos aplicativos que estão habituados a utilizar não serão mais compatíveis com seus modelos. A Apple permitirá que os desenvolvedores marquem suas aplicações como incompatíveis para alguns chips.

Por exemplo, se algum desenvolvedor mencionou seu aplicativo para ter, digamos, o chip A7 64-bit como requisito mínimo, você poderá usá-lo caso possua um aparelho iPhone 5S, lançado em 2013, ou posterior, já que esse foi o primeiro a utilizar esse chip.

Especificamente, os desenvolvedores poderão marcar o 64-bit A7 e cortar uma série de dispositivos populares, incluindo todos os modelos de iPod Touch e do Mini iPad original, que ainda são vendidos no site da Apple. Enquanto esta é uma questão que donos de smartphones Android enfrentam mais frequentemente, esta é a primeira vez que os usuários Apple serão capazes de usar uma nova versão do iOS, mas não todos os aplicativos disponíveis para ele.

Essa pode ser uma notícia desagradável para muitos, e pode significar que é hora de atualizar seus aparelhos. Mas pensar pelo lado do desempenho, se um determinado aplicativo não tem roda bem em um dispositivo antigo, provavelmente ninguém vai querer usá-lo, de qualquer maneira. E para os desenvolvedores, é certamente uma abordagem mais eficaz do que se preocupar em preencher suas descrições de aplicativos com “AVISO: Este aplicativo não será executado em seu iPad de 4 anos”, como acontece em alguns jogos pesados. Muitos usuários não leem, de qualquer forma.

Agora, os desenvolvedores que marcarem seus aplicativos como incompatíveis para algum aparelho, os donos desses dispositivos não apenas serão incapazes de comprá-lo, comosequer poderão ver na lista da App Store.

Anúncios

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s